'use strict';

const defu = require('defu');
const pathe = require('pathe');
const kit = require('@nuxt/kit');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e["default"] : e; }

const defu__default = /*#__PURE__*/_interopDefaultLegacy(defu);

const module$1 = kit.defineNuxtModule({
  meta: {
    name: "@nuxtjs/strapi",
    compatibility: { nuxt: "^3.0.0" },
    configKey: "strapi"
  },
  defaults: {
    url: "http://localhost:1337",
    prefix: "/api",
    version: "v4"
  },
  setup(_options, nuxt) {
    const strapiConfig = nuxt.options.publicRuntimeConfig.strapi = defu__default({ url: process.env.STRAPI_URL }, _options);
    if (!strapiConfig.url) {
      throw new Error("Missing `STRAPI_URL` in `.env`");
    }
    kit.addPlugin(pathe.resolve(__dirname, "./plugins/strapi"));
    nuxt.hook("autoImports:dirs", (dirs) => {
      dirs.push(pathe.resolve(__dirname, "./composables"));
    });
  }
});

module.exports = module$1;
